# multiprocesspool.py
from multiprocessing import Pool, cpu_count
import os

def f(x):
    return x*x

if 'SLURM_NPROCS' in os.environ:
    numprocs = int(os.environ['SLURM_NPROCS'])
else:
    numprocs = cpu_count()

with Pool(numprocs) as p:
    print(p.map(f, [1, 2, 3]))
